%define patch_name	kernel-fix-drivers-scsi

Name: %patch_name
Version: 2006.10.25
Release: alt1

Summary: %patch_name - Linux kernel SCSI subsystem and drivers fixes
License: GPL
Group: Development/Kernel
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

# Patches for 2.4.x
%source	 1 	2.4_01_linux-2.4.8-ac7-sym53c8xx-fixes.patch		2.4
%source	 3 	2.4_03_linux-2.4.18-scsidevices.patch			2.4
%source	 4 	2.4_04_scsi-add-Ciprico-to-scsi-whitelist.patch		2.4
%source	 5 	2.4_05_scsi-verbose.patch				2.4
%source	 6 	2.4_06_scsi-sym53c8xx-duplicate-names-fix.patch		2.4
%source	 7 	2.4_07_scsi_proc_scsi_sd.patch				2.4
%source  8	2.4_08_dpt_i2o-null-deref.patch				2.4
%source  9	2.4_09_aic7xxx-reset.patch				2.4

# Patches for 2.6.x
%source 2606	2.6_06_alt-intel-combined.patch				2.6
%source 2614	2.6_14_sata_mv-irq-port-status.patch			2.6
%source 2615	2.6_15_sata_mv-edma-off-by-one.patch			2.6
%source 2616	2.6_16_3w-xxxx-kmap_atomic.patch			2.6
%source 2617	2.6_17_3w-9xxx-kmap_atomic.patch			2.6
%source 2618	2.6_18_libata-resume-fix.patch				2.6
%source 2619	2.6_19_scsi_req_map_sg.patch				2.6
%source 2620	2.6_20_i2o-bugfixes.patch				2.6
%source 2621	2.6_21_aic79xx-use-bios-settings.patch			2.6
%source 2622	2.6_22_megaraid_reset_handler_fix.patch	                2.6
%source 2623	2.6_23_megaraid_fix_section_mismatch_warning.patch	2.6
%source 2624	2.6_24_megaraid_64bit_capability_checker.patch	        2.6
%source 2625	2.6_25_megaraid_fix_inquiry_with_evpd.patch	        2.6
%source 2626	2.6_26_megaraid_change_queue_depth_support.patch	2.6
%source 2627	2.6_27_megaraid_64bit_capability_checker_fix.patch	2.6
%source 2628	2.6_28_ahci-via-vt8251-support.patch			2.6
%source 2629	2.6_29_sata_sil24-new-id.patch				2.6
%source 2630	2.6_30_sata_promise-fasttrak-tx4300-tx4310.patch	2.6
%source 2631	2.6_31_ahci-ati-sb600-support.patch			2.6
%source 2632	2.6_32_sata_nv-mcp61-support.patch			2.6
%source 2633	2.6_33_ahci-nvidia-new-ids.patch			2.6
%source 2634	2.6_34_sata_nv-new-ids.patch				2.6
%source 2635	2.6_35_ahci-sis-new-ids.patch				2.6
%source 2636	2.6_36_sata_via-vt8237a-support.patch			2.6

BuildArch: noarch
BuildRequires: kernel-build-tools

%description
Linux kernel SCSI subsystem and drivers fixes

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Wed Oct 25 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.10.25-alt1
- Added patches for 2.6.16:
  + 2.6_28_ahci-via-vt8251-support.patch: ahci: add VIA VT8251 support
    (restore lost patch from 2.6.14): 1106:3349
  + 2.6_29_sata_sil24-new-id.patch: sata_sil24: add PCI ID for another SiI3124
    variant: 8086:3124
  + 2.6_30_sata_promise-fasttrak-tx4300-tx4310.patch: sata_promise: add
    FastTrak TX4300/TX4310 (PDC40719) support: 105a:3515
  + 2.6_31_ahci-ati-sb600-support.patch: ahci: add ATI SB600 support:
    1002:{4380,4381}
  + 2.6_32_sata_nv-mcp61-support.patch: sata_nv: add NVIDIA MCP61 support:
    10de:{03e7,03f6,03f7}
  + 2.6_33_ahci-nvidia-new-ids.patch: ahci: add NVIDIA MCP65 support:
    10de:{044c,044d,044e,044f}
  + 2.6_34_sata_nv-new-ids.patch: sata_nv: add more PCI IDs:
    10de:{045c,045d,045e,045f}
  + 2.6_35_ahci-sis-new-ids.patch: ahci: add SiS 966 and 968 support:
    1039:{1184,1185,0186}
  + 2.6_36_sata_via-vt8237a-support.patch: sata_via: add VIA VT8237A support:
    1106:0591

* Sat Oct 21 2006 L.A. Kostis <lakostis@altlinux.ru> 2006.10.21-alt1
- Added megaraid patches for 2.6.16:
  + 2.6_22_megaraid_reset_handler_fix.patch: megaraid_{mm,mbox}: fix a 
    bug in reset handler
  + 2.6_23_megaraid_fix_section_mismatch_warning.patch: megaraid_mbox: 
    fix section mismatch warnings
  + 2.6_24_megaraid_64bit_capability_checker.patch: megaraid_{mm,mbox}: 
    64-bit DMA capability checker
  + 2.6_25_megaraid_fix_inquiry_with_evpd.patch: megaraid_{mm,mbox}: 
    a fix on INQUIRY with EVPD
  + 2.6_26_megaraid_change_queue_depth_support.patch: megaraid: Add support 
    for change_queue_depth
  + 2.6_27_megaraid_64bit_capability_checker_fix.patch: scsi: 
    megaraid_{mm,mbox}: 64-bit DMA capability fix

* Sun Sep 03 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.09.03-alt1
- Added patches for 2.6.16:
  + 2.6_21_aic79xx-use-bios-settings.patch: aic79xx: use BIOS settings

* Fri Jul 07 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.07.07-alt1
- Added patches for 2.6.16:
  + 2.6_19_scsi_req_map_sg.patch: scsi_lib.c: properly count the number of
    pages in scsi_req_map_sg()
  + 2.6_20_i2o-bugfixes.patch: I2O: bugfixes to get I2O working again

* Sun Jun 11 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.06.11-alt1
- Added patches for 2.6.16:
  + 2.6_18_libata-resume-fix.patch: fix libata resume lockup on some machines
- Removed obsolete patches for kernel 2.6.14:
  - 2.6_03_megaraid-legacy.patch
  - 2.6_04_dpt_i2o-fix-use-after-free.patch
  - 2.6_05_i2o-pci-fix-use-after-free.patch
  - 2.6_07_combined_mode-option.patch
  - 2.6_08_libata-locking-rewrite.patch
  - 2.6_09_dpt_i2o-deadlock.patch
  - 2.6_10_sd-transfer-direction.patch
  - 2.6_11_scsi_lib-st-transfer-direction.patch
  - 2.6_12_i2o_scsi-oops-on-abort.patch
  - 2.6_13_ahci-via-vt8251.patch

* Sun Apr 23 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.04.23-alt1
- Added patches for 2.6.16:
  + 2.6_16_3w-xxxx-kmap_atomic.patch: 3w-xxxx: disable local IRQs around
    kmap_atomic() calls
  + 2.6_17_3w-9xxx-kmap_atomic.patch: 3w-9xxx: disable local IRQs around
    kmap_atomic() calls

* Fri Mar 24 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.03.24-alt1
- Updated for kernel 2.6.16.
- Marked old patches to be applied only to kernel 2.6.14:
  - 2.6_03_megaraid-legacy.patch
  - 2.6_04_dpt_i2o-fix-use-after-free.patch
  - 2.6_05_i2o-pci-fix-use-after-free.patch
  - 2.6_07_combined_mode-option.patch
  - 2.6_08_libata-locking-rewrite.patch
  - 2.6_09_dpt_i2o-deadlock.patch
  - 2.6_10_sd-transfer-direction.patch
  - 2.6_11_scsi_lib-st-transfer-direction.patch
  - 2.6_12_i2o_scsi-oops-on-abort.patch
  - 2.6_13_ahci-via-vt8251.patch (temporarily until updated for 2.6.16)
- Added patches for 2.6.16:
  + 2.6_14_sata_mv-irq-port-status.patch: sata_mv: fix irq port status usage
  + 2.6_15_sata_mv-edma-off-by-one.patch: sata_mv: fix off by one bug in
    processing of the EDMA response queue

* Thu Feb 09 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.02.09-alt1
- Added patches for 2.6.14:
  + 2.6_13_ahci-via-vt8251.patch: ahci: add VIA VT8251 SATA support

* Tue Feb 07 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.02.07-alt1
- Added patches for 2.6.14:
  + 2.6_12_i2o_scsi-oops-on-abort.patch: i2o_scsi: fix oops on command abort

* Sat Jan 07 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.01.07-alt1
- Added patches for 2.6.14:
  + 2.6_08_libata-locking-rewrite.patch: libata: separate controller-wide
    spinlock from Scsi_Host lock
  + 2.6_09_dpt_i2o-deadlock.patch: dpt_i2o fix for deadlock condition
  + 2.6_10_sd-transfer-direction.patch: fix transfer direction in sd (kernel
    panic when ejecting iPod)
  + 2.6_11_scsi_lib-st-transfer-direction.patch: fix transfer direction in
    scsi_lib and st

* Sun Dec 25 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.12.25-alt1
- Updated for kernel 2.4.32.
- Added:
  + 2.4_08_dpt_i2o-null-deref.patch: dpt_i2o: fix NULL pointer dereference
  + 2.4_09_aic7xxx-reset.patch: aic7xxx: reset handler selects a wrong command

* Wed Nov 30 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.11.30-alt1
- Updated for kernel 2.6.14.
- Removed obsolete patches:
  - 2.6_04_scsi-blacklist.patch
  - 2.6_05_qla2xxx-init-fix.patch
  - 2.6_06_qla2xxx-fc_remote_port_add-failure-fix.patch
- Updated 2.6_03_megaraid-legacy.patch:
  + removed controllers which are supported by the new driver (megaraid_mbox)
    from the table of supported devices
  + changed PCI driver name to megaraid_legacy to avoid conflict with the newer
    driver
- Added patches for 2.6.14:
  + 2.6_04_dpt_i2o-fix-use-after-free.patch: dpt_i2o: fix use-after-free
  + 2.6_05_i2o-pci-fix-use-after-free.patch: i2o_pci: fix use-after-free
  + 2.6_06_alt-intel-combined.patch: fix SCSI_SATA_INTEL_COMBINED setting with
    modular IDE
  + 2.6_07_combined_mode-option.patch: add boot option to control Intel
    combined mode behavior (to allow DMA in combined mode configs)

* Sun Aug 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.08.14-alt1
- Added:
  + 2.6_06_qla2xxx-fc_remote_port_add-failure-fix.patch: qla2xxx: correct
    handling of fc_remote_port_add() failure case

* Sat Jul 02 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.02-alt1
- Updated for kernel 2.6.12.
- Removed obsolete patches:
  - 2.6_00_aacraid-openoops.patch
  - 2.6_01_scsi-queue-lock.patch
  - 2.6_02_st_ioctl-CAP_ADMIN.patch
- Updated patches:
  + 2.6_04_scsi-blacklist.patch: removed entry already in 2.6.12
- Added patches for 2.6.12:
  + 2.6_05_qla2xxx-init-fix.patch: fix qla2xxx initialization problems

* Fri May 13 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.13-alt1
- Updated for kernel 2.6.11.
- Removed obsolete patches:
  - 2.6_00_002-pio_err_handling.patch
  - 2.6_00_057-scsi_ioctl_unknown_opcode.patch
  - 2.6_00_066-ibmvscsi_probe_delay_loop_fix.patch
  - 2.6_00_067-scsi_gdth_pci_map_sg.patch
  - 2.6_00_068-scsi_sd_read_capacity_LBD_bail.patch
- Added patches for 2.6:
  + 2.6_00_aacraid-openoops.patch: aacraid: fix oops on management device open
    for nonexistent controller
  + 2.6_01_scsi-queue-lock.patch: fix queue lock allocation for SCSI devices
    (fixes problems with hot unplugging, especially with the CFQ scheduler)
    https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=155472
  + 2.6_02_st_ioctl-CAP_ADMIN.patch: require CAP_ADMIN for SG_IO to tape drives
    (sending SCSI commands to the drive behind the back of the st driver may
    cause the device state to be inconsistent with the internal driver state
    and cause problems)
  + 2.6_03_megaraid-legacy.patch: enable both old and new megaraid drivers (the
    new megaraid_mbox driver does not support some devices which are supported
    by the old driver)
  + 2.6_04_scsi-blacklist.patch: blacklist some broken SCSI scanners which
    respond to all LUNs

* Wed Feb 09 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.02.09-alt1
- Added patches from 2.6.10-as3:
  + 2.6_00_002-pio_err_handling.patch
  + 2.6_00_057-scsi_ioctl_unknown_opcode.patch
  + 2.6_00_066-ibmvscsi_probe_delay_loop_fix.patch
  + 2.6_00_067-scsi_gdth_pci_map_sg.patch
  + 2.6_00_068-scsi_sd_read_capacity_LBD_bail.patch

* Wed Oct 20 2004 Anton Farygin <rider@altlinux.ru> 2004.10.20-alt1
- removed obsoleted kernel 2.6 patches.

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.10.17-alt1
- Updated for kernel 2.4.27.
- Removed obsolete patches:
   - 2.4_08_megaraid2-2.10.3.patch
   - 2.4_09_megaraid2-2.10.3-fix.patch

* Sun Sep 19 2004 LAKostis <lakostis at altlinux dot ru> 2004.08.16-alt1.1
- Removed:
  - 2.6_01_scsi_ioctl.c-allow_all_comands_if_write.patch - it didn't help too much
- Added:
  + 2.6_02_scsi_ioctl_revert.patch - this one works -
    see http://marc.theaimsgroup.com/?l=linux-kernel&m=109274144913931&w=2
    
* Mon Aug 16 2004 Anton Farygin <rider@altlinux.ru> 2004.08.16-alt1
- Removed obsolete patch:
    - 2.6_50_sata_sil-mod15write.patch
- Added:
    - 2.6_01_scsi_ioctl.c-allow_all_comands_if_write.patch: allow send all scsi commands 
    if device opened for write (workaround for k3b and other like k3b)

* Wed Jun 23 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.23-alt1
- Renamed patches with 2.4_/2.6_ prefixes.
- Added:
  + 2.6_50_sata_sil-mod15write.patch: fix Seagate+SiI3112 mod15write bug
    workaround broken by the LBA48 optimizations

* Sun May 09 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.09-alt1
- Updated for kernel 2.4.26.
- Removed obsolete patches:
  - 02_linux-2.4.9-scsilun0.patch
  - 09_scsi_scan.patch
  - 10_hitachi-9960-lun.patch
- Added:
  + 08_megaraid2-2.10.3.patch: megaraid2 driver version 2.10.3 (fixes memory
    leaks in /proc diskdrives-ch<X> handler)
  + 09_megaraid2-2.10.3-fix.patch: fix trivial problem in the previous patch

* Thu Mar 18 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.03.18-alt1
- Added:
  + 10_hitachi-9960-lun.patch: make Hitachi 9960 Storage luns visible.

* Mon Feb 23 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.23-alt1
- Updated for 2.4.25.
- Removed obsolete patches (merged upstream):
  - 08_megaraid_update.patch
  - 10_megaraid2.patch
  - 11_qla_drivers_3.12.patch
  - 12_module_license.patch
  - 13_ips-update.patch
  - 14_blacklist-hp-Va7140.patch
  - 15_blacklist-nec-iStorage.patch
  - 16_sg-reserved-size-check.patch
  - 17_3ware-update.patch

* Mon Dec 15 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.15-alt1
- Added:
  + 17_3ware-update.patch: 3ware driver update for 2.4.23-bk2: Fix
    tw_ioctl() to handle all non-data ATA passthru cmds for
    'smartmontools' support.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.18-alt1
- Added:
  + 16_sg-reserved-size-check.patch: Do not accept negative sizes in
    SG_SET_RESERVED_SIZE

* Thu Nov 06 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.06-alt1
- Added:
  + 14_blacklist-hp-Va7140.patch
  + 15_blacklist-nec-iStorage.patch
- Updated:
  + 04_scsi-add-Ciprico-to-scsi-whitelist.patch
  + 08_megaraid_update.patch
  + 10_megaraid2.patch

* Sun Oct 26 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.26-alt1
- Added 13_ips-update.patch: ServeRAID 6.10 Driver Update

* Tue Sep 16 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.16-alt1
- added 12_module_license.patch: add missing MODULE_LICENSE

* Mon Sep 01 2003 Rider <rider@altlinux.ru> 2003.09.01-alt1
- removed aacraid_update_to_1.1.2.patch (in mainstream)
- update some patches to 2.4.22 kernel

* Mon Aug  4 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.08.04-alt1
- aacraid driver updated to v.1.1.2 (aacraid_update_to_1.1.2.patch added)

* Wed Jul 30 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.07.30-alt1
- added qla_drivers_3.12 patch, updates qla1280 to 3.12 version.

* Tue Jul 29 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.06.28-alt7
- added megaraid_update, updates megaraid.c to 1.18i
- added megaraid2, adds megaraid driver series 2.00

* Mon Jul 28 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.06.28-alt6
- removed scsi-megaraid-update patch, waiting for upstream included
- added megaraid-fix-braces patch that adds missing {} in driver
- added scsi_scan patch that fixes problems during scsi bus scanning

* Tue Jul 22 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.06.28-alt5
- scsi-megaraid-update patch added

* Fri Jul  4 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.28-alt4
- scsi_proc_scsi_sd patch added

* Fri Jul  4 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.28-alt3
- spec typos fixed

* Tue Jul  1 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.28-alt2
- spec improvements: using %%source and %%install_patches macros

* Sat Jun 28 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.28-alt1
- Initial release

